Bug 312381 - ambiguity in imported classes
Summary: ambiguity in imported classes
Status: CLOSED NEXTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Console   
(Show other bugs)
Version: 1.0.4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2007-09-29 15:04 UTC by Rich Megginson
Modified: 2015-01-04 23:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 18:05:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (6.38 KB, patch)
2007-09-29 15:04 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2007-09-29 15:04:27 UTC
Bug and patch by mccann@jhu.edu

Hi,

I was trying to "ant package" the console stuff from cvs and ran into
some errors using java 1.6.  It seems like using import with a
wildcard in some cases pulls in two classes with the same name.

Here is a patch that replaces some of these problematic wildcards with
explicit imports.  I'm not really a java hacker so I'm not sure this
is the best approach but it seems to make sense to me.

Thanks,
Jon

Comment 1 Rich Megginson 2007-09-29 15:04:27 UTC
Created attachment 211351 [details]
patch


Note You need to log in before you can comment on or make changes to this bug.